svm-scale(1)

NAME
svm-scale - scale data to a restricted range as preprocessing for SVM training

SYNOPSIS
svm-scale [ -l lower ] [ -u upper ] [ -y y_upper ] [ -s save_filename ] [ -r restore_filename ] datafilename

DESCRIPTION
svm-scale reads the given datafilename (a training or testing data file as specified in svm_train(1) or svm_predict(1) ) and scales all dimensions to the given ranges.

OPTIONS

-l lower
    lower is the lowest (minimal) value allowed in each dimension. It defaults to -1.

-u upper
    upper is the highest (maximal) value allowed in each dimension. It defaults to 1.

-y y_lower
    y_lower is a boolean value (0 or 1) indicating whether or not y-values (targets) should be scaled. It defaults to 0.

-s save_filename
    save_filename indicates the filename to save the scaled data to.

-r restore_filename
    restore_filename indicates the filename reserved to hold the original (unscaled) data in case there is a need to restore.

FILES
datafilename must be a training or testing dataset.

ENVIRONMENT
No environment variables.

DIAGNOSTICS
None documented; see Vapnik et al.

BUGS
Please report bugs to the Debian BTS.

AUTHOR
Chih-Chung Chang, Chih-Jen Lin <cjlin@csie.ntu.edu.tw>, Chen-Tse Tsai <ctse.tsai@gmail.com> (packaging)

SEE ALSO
svm-train(1), svm-predict(1)